Loading...
Searching...
No Matches
AVDOVIDecoderConfigurationRecord Struct Reference

`#include <libavutil/dovi_meta.h>`

## Data Fields

uint8_t | dv_version_major
uint8_t | dv_version_minor
uint8_t | dv_profile
uint8_t | dv_level
uint8_t | rpu_present_flag
uint8_t | el_present_flag
uint8_t | bl_present_flag
uint8_t | dv_bl_signal_compatibility_id
uint8_t | dv_md_compression

## Detailed Description

Definition at line 55 of file dovi_meta.h.

## Field Documentation

## dv_version_major

uint8_t AVDOVIDecoderConfigurationRecord::dv_version_major

Definition at line 56 of file dovi_meta.h.

## dv_version_minor

uint8_t AVDOVIDecoderConfigurationRecord::dv_version_minor

Definition at line 57 of file dovi_meta.h.

## dv_profile

uint8_t AVDOVIDecoderConfigurationRecord::dv_profile

Definition at line 58 of file dovi_meta.h.

## dv_level

uint8_t AVDOVIDecoderConfigurationRecord::dv_level

Definition at line 59 of file dovi_meta.h.

## rpu_present_flag

uint8_t AVDOVIDecoderConfigurationRecord::rpu_present_flag

Definition at line 60 of file dovi_meta.h.

## el_present_flag

uint8_t AVDOVIDecoderConfigurationRecord::el_present_flag

Definition at line 61 of file dovi_meta.h.

## bl_present_flag

uint8_t AVDOVIDecoderConfigurationRecord::bl_present_flag

Definition at line 62 of file dovi_meta.h.

## dv_bl_signal_compatibility_id

uint8_t AVDOVIDecoderConfigurationRecord::dv_bl_signal_compatibility_id

Definition at line 63 of file dovi_meta.h.

## dv_md_compression

uint8_t AVDOVIDecoderConfigurationRecord::dv_md_compression

Definition at line 64 of file dovi_meta.h.

The documentation for this struct was generated from the following file:

- libavutil/dovi_meta.h